class gui
{
public:
	gui();	

	// Image Handles
	int img_MenuScreen;
	int img_MenuPlay[2];
	int img_MenuOptions[2];
	int img_levelSelectPackBackground;
	int img_levelSelectPackBack[2];
	int img_levelSelectBackground;
	int img_levelSelectBack[2];
	int img_levelSelectPlay[2];
	int img_levelSelectBar[10];
	int img_levelSelectBarLocked[10];
	int img_levelSelectGlow;
	int img_GameExitA;
	int img_GameExitB;
	int img_NoPlay;

	int img_inGameGuiBar;
	int img_inGamePauseBack;
	int img_inGamePauseResume[2];
	int img_inGamePauseQuit[2];
	int img_inGamePauseButton[2];

	int img_inGameTapGlow[10];
	int img_inGameCross;
	int img_inGameTick;
	int img_tickBoxes3[4];
	int img_tickBoxes4[5];
	int img_tickBoxes5[6];
	int img_tickBoxes6[7];

	int img_gameOverBack;
	int img_gameOverRetry[2];
	int img_gameOverQuit[2];
	int img_gameWinBack;
	int img_gameWinContinue[2];

	int img_pauseAnim[15];
	int img_winAnim[15];
	int img_loseAnim[15];
	int img_smallPreviewTick;
	int img_smallHilight;

	int img_findButton[2];
	int img_findCount[4];

	int img_packTitle[5];
	//Pack 1 images
	int img_pack1Small[20];
	int img_pack1Med[20];
	int img_pack1Large[20];
	int img_pack1Largeb[20];

	//Pack 2 images
	int img_pack2Small[20];
	int img_pack2Med[20];
	int img_pack2Large[20];
	int img_pack2Largeb[20];

	//Pack 3 images
	int img_pack3Small[20];
	int img_pack3Med[20];
	int img_pack3Large[20];
	int img_pack3Largeb[20];

	//Pack 4 images
	int img_pack4Small[20];
	int img_pack4Med[20];
	int img_pack4Large[20];
	int img_pack4Largeb[20];

	//Pack 5 images
	int img_pack5Small[20];
	int img_pack5Med[20];
	int img_pack5Large[20];
	int img_pack5Largeb[20];


	
	// View Handles
	int view_Background;
	int view_Button1;
	int view_Button2;
	int view_bar[8];
	int view_barGlow;
	int view_GameButtonExit;
	int view_smallPreview[20];
	int view_smallTick[20];
	int view_mediumPreview;
	int view_inGameGuiBar;
	int view_inGameGuiTickBoxes;
	int view_inGamePicture[2];
	int view_pauseButton;
	int view_tapGlow;
	int view_inGameTick[6];
	int view_inGameTickLeft[6];
	int view_inGameCross;
	int view_inGameCrossLeft;
	int view_inGameTickBoxes;
	int view_endOverlay;
	int view_titleAnimated;
	int view_packTitle;
	int view_smallHilight;
	int view_findButton;
	int view_findCount;

	// Function Declarations
	void initialization();
	void addImages();
	void addViews();
	void hideAllViews();
};

gui::gui()
{
	
}

void gui::addImages()
{
	img_MenuScreen = ImageAdd("Images/main menu/background.png"); 
	img_MenuPlay[0] = ImageAdd("Images/main menu/play1.png"); 
	img_MenuPlay[1] = ImageAdd("Images/main menu/play2.png"); 
	img_MenuOptions[0] = ImageAdd("Images/main menu/options1.png"); 
	img_MenuOptions[1] = ImageAdd("Images/main menu/options2.png");
	img_smallHilight = ImageAdd("Images/level select/small hilight.png");
	img_smallPreviewTick = ImageAdd("Images/level select/tick.png");

	img_findButton[0] = ImageAdd("Images/in game/findbutton1.png");
	img_findButton[1] = ImageAdd("Images/in game/findbutton2.png");

	img_findCount[0] = ImageAdd("Images/in game/find0.png");
	img_findCount[1] = ImageAdd("Images/in game/find1.png");
	img_findCount[2] = ImageAdd("Images/in game/find2.png");
	img_findCount[3] = ImageAdd("Images/in game/find3.png");

	img_NoPlay = ImageAdd("Images/level select/noplay.png");

	img_levelSelectPackBackground = ImageAdd("Images/level pack select/background.png"); 
	img_levelSelectPackBack[0] = ImageAdd("Images/level pack select/mainMenu1.png"); 
	img_levelSelectPackBack[1] = ImageAdd("Images/level pack select/mainMenu2.png"); 

	img_levelSelectBackground = ImageAdd("Images/level select/background.png");
	img_levelSelectBar[0] = ImageAdd("Images/level pack select/bar1.png");
	img_levelSelectBar[1] = ImageAdd("Images/level pack select/bar2.png");
	img_levelSelectBar[2] = ImageAdd("Images/level pack select/bar3.png");
	img_levelSelectBar[3] = ImageAdd("Images/level pack select/bar4.png");
	img_levelSelectBar[4] = ImageAdd("Images/level pack select/bar5.png");


	img_levelSelectBarLocked[0] = ImageAdd("Images/level pack select/bar1 lock.png");
	img_levelSelectBarLocked[1] = ImageAdd("Images/level pack select/bar2 lock.png");
	img_levelSelectBarLocked[2] = ImageAdd("Images/level pack select/bar3 lock.png");
	img_levelSelectBarLocked[3] = ImageAdd("Images/level pack select/bar4 lock.png");
	img_levelSelectBarLocked[4] = ImageAdd("Images/level pack select/bar5 lock.png");

	img_levelSelectGlow = ImageAdd("Images/level pack select/bar glow.png");


	img_levelSelectPlay[0] = ImageAdd("Images/level select/play1.png");
	img_levelSelectPlay[1] = ImageAdd("Images/level select/play2.png");

	img_inGameGuiBar = ImageAdd("Images/in game/topbar.png");
	img_inGamePauseBack = ImageAdd("Images/in game/paused.png");
	img_inGamePauseResume[0] = ImageAdd("Images/in game/resume1.png");
	img_inGamePauseResume[1] = ImageAdd("Images/in game/resume2.png");
	img_inGamePauseQuit[0] = ImageAdd("Images/in game/quit1.png");
	img_inGamePauseQuit[1] = ImageAdd("Images/in game/quit2.png");
	img_inGamePauseButton[0] = ImageAdd("Images/in game/pause1.png");
	img_inGamePauseButton[1] = ImageAdd("Images/in game/pause2.png");

	img_gameOverBack = ImageAdd("Images/game over/failed back.png");
	img_gameOverRetry[0] = ImageAdd("Images/game over/retry1.png");
	img_gameOverRetry[1] = ImageAdd("Images/game over/retry2.png");
	img_gameOverQuit[0] = ImageAdd("Images/game over/quit1.png");
	img_gameOverQuit[1] = ImageAdd("Images/game over/quit2.png");

	img_gameWinBack = ImageAdd("Images/game over/win back.png");
	img_gameWinContinue[0] = ImageAdd("Images/game over/continue1.png");
	img_gameWinContinue[1] = ImageAdd("Images/game over/continue2.png");

	img_inGameTapGlow[0] = ImageAdd("Images/in game/tap glow/1.png");
	img_inGameTapGlow[1] = ImageAdd("Images/in game/tap glow/2.png");
	img_inGameTapGlow[2] = ImageAdd("Images/in game/tap glow/3.png");
	img_inGameTapGlow[3] = ImageAdd("Images/in game/tap glow/4.png");
	img_inGameTapGlow[4] = ImageAdd("Images/in game/tap glow/5.png");
	img_inGameTapGlow[5] = ImageAdd("Images/in game/tap glow/6.png");
	img_inGameTapGlow[6] = ImageAdd("Images/in game/tap glow/7.png");
	img_inGameTapGlow[7] = ImageAdd("Images/in game/tap glow/8.png");
	img_inGameTapGlow[8] = ImageAdd("Images/in game/tap glow/9.png");
	img_inGameTapGlow[9] = ImageAdd("Images/in game/tap glow/10.png");

	img_tickBoxes3[0] = ImageAdd("Images/in game/tick box/3/30.png");
	img_tickBoxes3[1] = ImageAdd("Images/in game/tick box/3/31.png");
	img_tickBoxes3[2] = ImageAdd("Images/in game/tick box/3/32.png");
	img_tickBoxes3[3] = ImageAdd("Images/in game/tick box/3/33.png");

	img_tickBoxes4[0] = ImageAdd("Images/in game/tick box/4/40.png");
	img_tickBoxes4[1] = ImageAdd("Images/in game/tick box/4/41.png");
	img_tickBoxes4[2] = ImageAdd("Images/in game/tick box/4/42.png");
	img_tickBoxes4[3] = ImageAdd("Images/in game/tick box/4/43.png");
	img_tickBoxes4[4] = ImageAdd("Images/in game/tick box/4/44.png");

	img_tickBoxes5[0] = ImageAdd("Images/in game/tick box/5/50.png");
	img_tickBoxes5[1] = ImageAdd("Images/in game/tick box/5/51.png");
	img_tickBoxes5[2] = ImageAdd("Images/in game/tick box/5/52.png");
	img_tickBoxes5[3] = ImageAdd("Images/in game/tick box/5/53.png");
	img_tickBoxes5[4] = ImageAdd("Images/in game/tick box/5/54.png");
	img_tickBoxes5[5] = ImageAdd("Images/in game/tick box/5/55.png");

	img_tickBoxes6[0] = ImageAdd("Images/in game/tick box/6/60.png");
	img_tickBoxes6[1] = ImageAdd("Images/in game/tick box/6/61.png");
	img_tickBoxes6[2] = ImageAdd("Images/in game/tick box/6/62.png");
	img_tickBoxes6[3] = ImageAdd("Images/in game/tick box/6/63.png");
	img_tickBoxes6[4] = ImageAdd("Images/in game/tick box/6/64.png");
	img_tickBoxes6[5] = ImageAdd("Images/in game/tick box/6/65.png");
	img_tickBoxes6[6] = ImageAdd("Images/in game/tick box/6/66.png");

	img_pauseAnim[0] = ImageAdd("Images/in game/pausedAnim/pausedanim0001.png");
	img_pauseAnim[1] = ImageAdd("Images/in game/pausedAnim/pausedanim0002.png");
	img_pauseAnim[2] = ImageAdd("Images/in game/pausedAnim/pausedanim0003.png");
	img_pauseAnim[3] = ImageAdd("Images/in game/pausedAnim/pausedanim0004.png");
	img_pauseAnim[4] = ImageAdd("Images/in game/pausedAnim/pausedanim0005.png");
	img_pauseAnim[5] = ImageAdd("Images/in game/pausedAnim/pausedanim0006.png");
	img_pauseAnim[6] = ImageAdd("Images/in game/pausedAnim/pausedanim0007.png");
	img_pauseAnim[7] = ImageAdd("Images/in game/pausedAnim/pausedanim0008.png");
	img_pauseAnim[8] = ImageAdd("Images/in game/pausedAnim/pausedanim0009.png");
	img_pauseAnim[9] = ImageAdd("Images/in game/pausedAnim/pausedanim0010.png");
	img_pauseAnim[10] = ImageAdd("Images/in game/pausedAnim/pausedanim0011.png");
	img_pauseAnim[11] = ImageAdd("Images/in game/pausedAnim/pausedanim0012.png");
	img_pauseAnim[12] = ImageAdd("Images/in game/pausedAnim/pausedanim0013.png");
	img_pauseAnim[13] = ImageAdd("Images/in game/pausedAnim/pausedanim0014.png");
	img_pauseAnim[14] = ImageAdd("Images/in game/pausedAnim/pausedanim0015.png");

	img_winAnim[0] = ImageAdd("Images/game over/win anim/level complete0001.png");
	img_winAnim[1] = ImageAdd("Images/game over/win anim/level complete0002.png");
	img_winAnim[2] = ImageAdd("Images/game over/win anim/level complete0003.png");
	img_winAnim[3] = ImageAdd("Images/game over/win anim/level complete0004.png");
	img_winAnim[4] = ImageAdd("Images/game over/win anim/level complete0005.png");
	img_winAnim[5] = ImageAdd("Images/game over/win anim/level complete0006.png");
	img_winAnim[6] = ImageAdd("Images/game over/win anim/level complete0007.png");
	img_winAnim[7] = ImageAdd("Images/game over/win anim/level complete0008.png");
	img_winAnim[8] = ImageAdd("Images/game over/win anim/level complete0009.png");
	img_winAnim[9] = ImageAdd("Images/game over/win anim/level complete0010.png");
	img_winAnim[10] = ImageAdd("Images/game over/win anim/level complete0011.png");
	img_winAnim[11] = ImageAdd("Images/game over/win anim/level complete0012.png");
	img_winAnim[12] = ImageAdd("Images/game over/win anim/level complete0013.png");
	img_winAnim[13] = ImageAdd("Images/game over/win anim/level complete0014.png");
	img_winAnim[14] = ImageAdd("Images/game over/win anim/level complete0015.png");

	img_loseAnim[0] = ImageAdd("Images/game over/lose anim/level failed0001.png");
	img_loseAnim[1] = ImageAdd("Images/game over/lose anim/level failed0002.png");
	img_loseAnim[2] = ImageAdd("Images/game over/lose anim/level failed0003.png");
	img_loseAnim[3] = ImageAdd("Images/game over/lose anim/level failed0004.png");
	img_loseAnim[4] = ImageAdd("Images/game over/lose anim/level failed0005.png");
	img_loseAnim[5] = ImageAdd("Images/game over/lose anim/level failed0006.png");
	img_loseAnim[6] = ImageAdd("Images/game over/lose anim/level failed0007.png");
	img_loseAnim[7] = ImageAdd("Images/game over/lose anim/level failed0008.png");
	img_loseAnim[8] = ImageAdd("Images/game over/lose anim/level failed0009.png");
	img_loseAnim[9] = ImageAdd("Images/game over/lose anim/level failed0010.png");
	img_loseAnim[10] = ImageAdd("Images/game over/lose anim/level failed0011.png");
	img_loseAnim[11] = ImageAdd("Images/game over/lose anim/level failed0012.png");
	img_loseAnim[12] = ImageAdd("Images/game over/lose anim/level failed0013.png");
	img_loseAnim[13] = ImageAdd("Images/game over/lose anim/level failed0014.png");
	img_loseAnim[14] = ImageAdd("Images/game over/lose anim/level failed0015.png");

	img_inGameCross = ImageAdd("Images/in game/cross.png");
	img_inGameTick = ImageAdd("Images/in game/tick.png");

	//img_levelSelectPlay[0] = ImageAdd("Images/level select/background.png");
	//img_levelSelectPlay[1] = ImageAdd("Images/level select/background.png");

	img_packTitle[0] = ImageAdd("Images/level select/pack1/title.png");
	img_packTitle[1] = ImageAdd("Images/level select/pack2/title.png");
	img_packTitle[2] = ImageAdd("Images/level select/pack3/title.png");
	img_packTitle[3] = ImageAdd("Images/level select/pack4/title.png");
	img_packTitle[4] = ImageAdd("Images/level select/pack5/title.png");

	//**********************************************************************Level pack 1
	img_pack1Small[0] = ImageAdd("Images/level select/pack1/small/1s.jpg");
	img_pack1Small[1] = ImageAdd("Images/level select/pack1/small/2s.jpg");
	img_pack1Small[2] = ImageAdd("Images/level select/pack1/small/3s.jpg");
	img_pack1Small[3] = ImageAdd("Images/level select/pack1/small/4s.jpg");
	img_pack1Small[4] = ImageAdd("Images/level select/pack1/small/5s.jpg");
	img_pack1Small[5] = ImageAdd("Images/level select/pack1/small/6s.jpg");
	img_pack1Small[6] = ImageAdd("Images/level select/pack1/small/7s.jpg");
	img_pack1Small[7] = ImageAdd("Images/level select/pack1/small/8s.jpg");
	img_pack1Small[8] = ImageAdd("Images/level select/pack1/small/9s.jpg");
	img_pack1Small[9] = ImageAdd("Images/level select/pack1/small/10s.jpg");
	img_pack1Small[10] = ImageAdd("Images/level select/pack1/small/11s.jpg");
	img_pack1Small[11] = ImageAdd("Images/level select/pack1/small/12s.jpg");
	img_pack1Small[12] = ImageAdd("Images/level select/pack1/small/13s.jpg");
	img_pack1Small[13] = ImageAdd("Images/level select/pack1/small/14s.jpg");
	img_pack1Small[14] = ImageAdd("Images/level select/pack1/small/15s.jpg");
	img_pack1Small[15] = ImageAdd("Images/level select/pack1/small/16s.jpg");
	img_pack1Small[16] = ImageAdd("Images/level select/pack1/small/17s.jpg");
	img_pack1Small[17] = ImageAdd("Images/level select/pack1/small/18s.jpg");
	img_pack1Small[18] = ImageAdd("Images/level select/pack1/small/19s.jpg");
	img_pack1Small[19] = ImageAdd("Images/level select/pack1/small/20s.jpg");

	img_pack1Med[0] = ImageAdd("Images/level select/pack1/medium/1m.jpg");
	img_pack1Med[1] = ImageAdd("Images/level select/pack1/medium/2m.jpg");
	img_pack1Med[2] = ImageAdd("Images/level select/pack1/medium/3m.jpg");
	img_pack1Med[3] = ImageAdd("Images/level select/pack1/medium/4m.jpg");
	img_pack1Med[4] = ImageAdd("Images/level select/pack1/medium/5m.jpg");
	img_pack1Med[5] = ImageAdd("Images/level select/pack1/medium/6m.jpg");
	img_pack1Med[6] = ImageAdd("Images/level select/pack1/medium/7m.jpg");
	img_pack1Med[7] = ImageAdd("Images/level select/pack1/medium/8m.jpg");
	img_pack1Med[8] = ImageAdd("Images/level select/pack1/medium/9m.jpg");
	img_pack1Med[9] = ImageAdd("Images/level select/pack1/medium/10m.jpg");
	img_pack1Med[10] = ImageAdd("Images/level select/pack1/medium/11m.jpg");
	img_pack1Med[11] = ImageAdd("Images/level select/pack1/medium/12m.jpg");
	img_pack1Med[12] = ImageAdd("Images/level select/pack1/medium/13m.jpg");
	img_pack1Med[13] = ImageAdd("Images/level select/pack1/medium/14m.jpg");
	img_pack1Med[14] = ImageAdd("Images/level select/pack1/medium/15m.jpg");
	img_pack1Med[15] = ImageAdd("Images/level select/pack1/medium/16m.jpg");
	img_pack1Med[16] = ImageAdd("Images/level select/pack1/medium/17m.jpg");
	img_pack1Med[17] = ImageAdd("Images/level select/pack1/medium/18m.jpg");
	img_pack1Med[18] = ImageAdd("Images/level select/pack1/medium/19m.jpg");
	img_pack1Med[19] = ImageAdd("Images/level select/pack1/medium/20m.jpg");

	img_pack1Large[0] = ImageAdd("Images/level select/pack1/large/1l.jpg");
	img_pack1Large[1] = ImageAdd("Images/level select/pack1/large/2l.jpg");
	img_pack1Large[2] = ImageAdd("Images/level select/pack1/large/3l.jpg");
	img_pack1Large[3] = ImageAdd("Images/level select/pack1/large/4l.jpg");
	img_pack1Large[4] = ImageAdd("Images/level select/pack1/large/5l.jpg");
	img_pack1Large[5] = ImageAdd("Images/level select/pack1/large/6l.jpg");
	img_pack1Large[6] = ImageAdd("Images/level select/pack1/large/7l.jpg");
	img_pack1Large[7] = ImageAdd("Images/level select/pack1/large/8l.jpg");
	img_pack1Large[8] = ImageAdd("Images/level select/pack1/large/9l.jpg");
	img_pack1Large[9] = ImageAdd("Images/level select/pack1/large/10l.jpg");
	img_pack1Large[10] = ImageAdd("Images/level select/pack1/large/11l.jpg");
	img_pack1Large[11] = ImageAdd("Images/level select/pack1/large/12l.jpg");
	img_pack1Large[12] = ImageAdd("Images/level select/pack1/large/13l.jpg");
	img_pack1Large[13] = ImageAdd("Images/level select/pack1/large/14l.jpg");
	img_pack1Large[14] = ImageAdd("Images/level select/pack1/large/15l.jpg");
	img_pack1Large[15] = ImageAdd("Images/level select/pack1/large/16l.jpg");
	img_pack1Large[16] = ImageAdd("Images/level select/pack1/large/17l.jpg");
	img_pack1Large[17] = ImageAdd("Images/level select/pack1/large/18l.jpg");
	img_pack1Large[18] = ImageAdd("Images/level select/pack1/large/19l.jpg");
	img_pack1Large[19] = ImageAdd("Images/level select/pack1/large/20l.jpg");

	img_pack1Largeb[0] = ImageAdd("Images/level select/pack1/largeb/1lb.jpg");
	img_pack1Largeb[1] = ImageAdd("Images/level select/pack1/largeb/2lb.jpg");
	img_pack1Largeb[2] = ImageAdd("Images/level select/pack1/largeb/3lb.jpg");
	img_pack1Largeb[3] = ImageAdd("Images/level select/pack1/largeb/4lb.jpg");
	img_pack1Largeb[4] = ImageAdd("Images/level select/pack1/largeb/5lb.jpg");
	img_pack1Largeb[5] = ImageAdd("Images/level select/pack1/largeb/6lb.jpg");
	img_pack1Largeb[6] = ImageAdd("Images/level select/pack1/largeb/7lb.jpg");
	img_pack1Largeb[7] = ImageAdd("Images/level select/pack1/largeb/8lb.jpg");
	img_pack1Largeb[8] = ImageAdd("Images/level select/pack1/largeb/9lb.jpg");
	img_pack1Largeb[9] = ImageAdd("Images/level select/pack1/largeb/10lb.jpg");
	img_pack1Largeb[10] = ImageAdd("Images/level select/pack1/largeb/11lb.jpg");
	img_pack1Largeb[11] = ImageAdd("Images/level select/pack1/largeb/12lb.jpg");
	img_pack1Largeb[12] = ImageAdd("Images/level select/pack1/largeb/13lb.jpg");
	img_pack1Largeb[13] = ImageAdd("Images/level select/pack1/largeb/14lb.jpg");
	img_pack1Largeb[14] = ImageAdd("Images/level select/pack1/largeb/15lb.jpg");
	img_pack1Largeb[15] = ImageAdd("Images/level select/pack1/largeb/16lb.jpg");
	img_pack1Largeb[16] = ImageAdd("Images/level select/pack1/largeb/17lb.jpg");
	img_pack1Largeb[17] = ImageAdd("Images/level select/pack1/largeb/18lb.jpg");
	img_pack1Largeb[18] = ImageAdd("Images/level select/pack1/largeb/19lb.jpg");
	img_pack1Largeb[19] = ImageAdd("Images/level select/pack1/largeb/20lb.jpg");

	//**********************************************************************Level pack 2
	img_pack2Small[0] = ImageAdd("Images/level select/pack2/small/1s.jpg");
	img_pack2Small[1] = ImageAdd("Images/level select/pack2/small/2s.jpg");
	img_pack2Small[2] = ImageAdd("Images/level select/pack2/small/3s.jpg");
	img_pack2Small[3] = ImageAdd("Images/level select/pack2/small/4s.jpg");
	img_pack2Small[4] = ImageAdd("Images/level select/pack2/small/5s.jpg");
	img_pack2Small[5] = ImageAdd("Images/level select/pack2/small/6s.jpg");
	img_pack2Small[6] = ImageAdd("Images/level select/pack2/small/7s.jpg");
	img_pack2Small[7] = ImageAdd("Images/level select/pack2/small/8s.jpg");
	img_pack2Small[8] = ImageAdd("Images/level select/pack2/small/9s.jpg");
	img_pack2Small[9] = ImageAdd("Images/level select/pack2/small/10s.jpg");
	img_pack2Small[10] = ImageAdd("Images/level select/pack2/small/11s.jpg");
	img_pack2Small[11] = ImageAdd("Images/level select/pack2/small/12s.jpg");
	img_pack2Small[12] = ImageAdd("Images/level select/pack2/small/13s.jpg");
	img_pack2Small[13] = ImageAdd("Images/level select/pack2/small/14s.jpg");
	img_pack2Small[14] = ImageAdd("Images/level select/pack2/small/15s.jpg");
	img_pack2Small[15] = ImageAdd("Images/level select/pack2/small/16s.jpg");
	img_pack2Small[16] = ImageAdd("Images/level select/pack2/small/17s.jpg");
	img_pack2Small[17] = ImageAdd("Images/level select/pack2/small/18s.jpg");
	img_pack2Small[18] = ImageAdd("Images/level select/pack2/small/19s.jpg");
	img_pack2Small[19] = ImageAdd("Images/level select/pack2/small/20s.jpg");

	img_pack2Med[0] = ImageAdd("Images/level select/pack2/medium/1m.jpg");
	img_pack2Med[1] = ImageAdd("Images/level select/pack2/medium/2m.jpg");
	img_pack2Med[2] = ImageAdd("Images/level select/pack2/medium/3m.jpg");
	img_pack2Med[3] = ImageAdd("Images/level select/pack2/medium/4m.jpg");
	img_pack2Med[4] = ImageAdd("Images/level select/pack2/medium/5m.jpg");
	img_pack2Med[5] = ImageAdd("Images/level select/pack2/medium/6m.jpg");
	img_pack2Med[6] = ImageAdd("Images/level select/pack2/medium/7m.jpg");
	img_pack2Med[7] = ImageAdd("Images/level select/pack2/medium/8m.jpg");
	img_pack2Med[8] = ImageAdd("Images/level select/pack2/medium/9m.jpg");
	img_pack2Med[9] = ImageAdd("Images/level select/pack2/medium/10m.jpg");
	img_pack2Med[10] = ImageAdd("Images/level select/pack2/medium/11m.jpg");
	img_pack2Med[11] = ImageAdd("Images/level select/pack2/medium/12m.jpg");
	img_pack2Med[12] = ImageAdd("Images/level select/pack2/medium/13m.jpg");
	img_pack2Med[13] = ImageAdd("Images/level select/pack2/medium/14m.jpg");
	img_pack2Med[14] = ImageAdd("Images/level select/pack2/medium/15m.jpg");
	img_pack2Med[15] = ImageAdd("Images/level select/pack2/medium/16m.jpg");
	img_pack2Med[16] = ImageAdd("Images/level select/pack2/medium/17m.jpg");
	img_pack2Med[17] = ImageAdd("Images/level select/pack2/medium/18m.jpg");
	img_pack2Med[18] = ImageAdd("Images/level select/pack2/medium/19m.jpg");
	img_pack2Med[19] = ImageAdd("Images/level select/pack2/medium/20m.jpg");


	img_pack2Large[0] = ImageAdd("Images/level select/pack2/large/1l.jpg");
	img_pack2Large[1] = ImageAdd("Images/level select/pack2/large/2l.jpg");
	img_pack2Large[2] = ImageAdd("Images/level select/pack2/large/3l.jpg");
	img_pack2Large[3] = ImageAdd("Images/level select/pack2/large/4l.jpg");
	img_pack2Large[4] = ImageAdd("Images/level select/pack2/large/5l.jpg");
	img_pack2Large[5] = ImageAdd("Images/level select/pack2/large/6l.jpg");
	img_pack2Large[6] = ImageAdd("Images/level select/pack2/large/7l.jpg");
	img_pack2Large[7] = ImageAdd("Images/level select/pack2/large/8l.jpg");
	img_pack2Large[8] = ImageAdd("Images/level select/pack2/large/9l.jpg");
	img_pack2Large[9] = ImageAdd("Images/level select/pack2/large/10l.jpg");
	img_pack2Large[10] = ImageAdd("Images/level select/pack2/large/11l.jpg");
	img_pack2Large[11] = ImageAdd("Images/level select/pack2/large/12l.jpg");
	img_pack2Large[12] = ImageAdd("Images/level select/pack2/large/13l.jpg");
	img_pack2Large[13] = ImageAdd("Images/level select/pack2/large/14l.jpg");
	img_pack2Large[14] = ImageAdd("Images/level select/pack2/large/15l.jpg");
	img_pack2Large[15] = ImageAdd("Images/level select/pack2/large/16l.jpg");
	img_pack2Large[16] = ImageAdd("Images/level select/pack2/large/17l.jpg");
	img_pack2Large[17] = ImageAdd("Images/level select/pack2/large/18l.jpg");
	img_pack2Large[18] = ImageAdd("Images/level select/pack2/large/19l.jpg");
	img_pack2Large[19] = ImageAdd("Images/level select/pack2/large/20l.jpg");

	img_pack2Largeb[0] = ImageAdd("Images/level select/pack2/largeb/1lb.jpg");
	img_pack2Largeb[1] = ImageAdd("Images/level select/pack2/largeb/2lb.jpg");
	img_pack2Largeb[2] = ImageAdd("Images/level select/pack2/largeb/3lb.jpg");
	img_pack2Largeb[3] = ImageAdd("Images/level select/pack2/largeb/4lb.jpg");
	img_pack2Largeb[4] = ImageAdd("Images/level select/pack2/largeb/5lb.jpg");
	img_pack2Largeb[5] = ImageAdd("Images/level select/pack2/largeb/6lb.jpg");
	img_pack2Largeb[6] = ImageAdd("Images/level select/pack2/largeb/7lb.jpg");
	img_pack2Largeb[7] = ImageAdd("Images/level select/pack2/largeb/8lb.jpg");
	img_pack2Largeb[8] = ImageAdd("Images/level select/pack2/largeb/9lb.jpg");
	img_pack2Largeb[9] = ImageAdd("Images/level select/pack2/largeb/10lb.jpg");
	img_pack2Largeb[10] = ImageAdd("Images/level select/pack2/largeb/11lb.jpg");
	img_pack2Largeb[11] = ImageAdd("Images/level select/pack2/largeb/12lb.jpg");
	img_pack2Largeb[12] = ImageAdd("Images/level select/pack2/largeb/13lb.jpg");
	img_pack2Largeb[13] = ImageAdd("Images/level select/pack2/largeb/14lb.jpg");
	img_pack2Largeb[14] = ImageAdd("Images/level select/pack2/largeb/15lb.jpg");
	img_pack2Largeb[15] = ImageAdd("Images/level select/pack2/largeb/16lb.jpg");
	img_pack2Largeb[16] = ImageAdd("Images/level select/pack2/largeb/17lb.jpg");
	img_pack2Largeb[17] = ImageAdd("Images/level select/pack2/largeb/18lb.jpg");
	img_pack2Largeb[18] = ImageAdd("Images/level select/pack2/largeb/19lb.jpg");
	img_pack2Largeb[19] = ImageAdd("Images/level select/pack2/largeb/20lb.jpg");
	
	

	//**********************************************************************Level pack 3
	img_pack3Small[0] = ImageAdd("Images/level select/pack3/small/1s.jpg");
	img_pack3Small[1] = ImageAdd("Images/level select/pack3/small/2s.jpg");
	img_pack3Small[2] = ImageAdd("Images/level select/pack3/small/3s.jpg");
	img_pack3Small[3] = ImageAdd("Images/level select/pack3/small/4s.jpg");
	img_pack3Small[4] = ImageAdd("Images/level select/pack3/small/5s.jpg");
	img_pack3Small[5] = ImageAdd("Images/level select/pack3/small/6s.jpg");
	img_pack3Small[6] = ImageAdd("Images/level select/pack3/small/7s.jpg");
	img_pack3Small[7] = ImageAdd("Images/level select/pack3/small/8s.jpg");
	img_pack3Small[8] = ImageAdd("Images/level select/pack3/small/9s.jpg");
	img_pack3Small[9] = ImageAdd("Images/level select/pack3/small/10s.jpg");
	img_pack3Small[10] = ImageAdd("Images/level select/pack3/small/11s.jpg");
	img_pack3Small[11] = ImageAdd("Images/level select/pack3/small/12s.jpg");
	img_pack3Small[12] = ImageAdd("Images/level select/pack3/small/13s.jpg");
	img_pack3Small[13] = ImageAdd("Images/level select/pack3/small/14s.jpg");
	img_pack3Small[14] = ImageAdd("Images/level select/pack3/small/15s.jpg");
	img_pack3Small[15] = ImageAdd("Images/level select/pack3/small/16s.jpg");
	img_pack3Small[16] = ImageAdd("Images/level select/pack3/small/17s.jpg");
	img_pack3Small[17] = ImageAdd("Images/level select/pack3/small/18s.jpg");
	img_pack3Small[18] = ImageAdd("Images/level select/pack3/small/19s.jpg");
	img_pack3Small[19] = ImageAdd("Images/level select/pack3/small/20s.jpg");

	img_pack3Med[0] = ImageAdd("Images/level select/pack3/medium/1m.jpg");
	img_pack3Med[1] = ImageAdd("Images/level select/pack3/medium/2m.jpg");
	img_pack3Med[2] = ImageAdd("Images/level select/pack3/medium/3m.jpg");
	img_pack3Med[3] = ImageAdd("Images/level select/pack3/medium/4m.jpg");
	img_pack3Med[4] = ImageAdd("Images/level select/pack3/medium/5m.jpg");
	img_pack3Med[5] = ImageAdd("Images/level select/pack3/medium/6m.jpg");
	img_pack3Med[6] = ImageAdd("Images/level select/pack3/medium/7m.jpg");
	img_pack3Med[7] = ImageAdd("Images/level select/pack3/medium/8m.jpg");
	img_pack3Med[8] = ImageAdd("Images/level select/pack3/medium/9m.jpg");
	img_pack3Med[9] = ImageAdd("Images/level select/pack3/medium/10m.jpg");
	img_pack3Med[10] = ImageAdd("Images/level select/pack3/medium/11m.jpg");
	img_pack3Med[11] = ImageAdd("Images/level select/pack3/medium/12m.jpg");
	img_pack3Med[12] = ImageAdd("Images/level select/pack3/medium/13m.jpg");
	img_pack3Med[13] = ImageAdd("Images/level select/pack3/medium/14m.jpg");
	img_pack3Med[14] = ImageAdd("Images/level select/pack3/medium/15m.jpg");
	img_pack3Med[15] = ImageAdd("Images/level select/pack3/medium/16m.jpg");
	img_pack3Med[16] = ImageAdd("Images/level select/pack3/medium/17m.jpg");
	img_pack3Med[17] = ImageAdd("Images/level select/pack3/medium/18m.jpg");
	img_pack3Med[18] = ImageAdd("Images/level select/pack3/medium/19m.jpg");
	img_pack3Med[19] = ImageAdd("Images/level select/pack3/medium/20m.jpg");


	img_pack3Large[0] = ImageAdd("Images/level select/pack3/large/1l.jpg");
	img_pack3Large[1] = ImageAdd("Images/level select/pack3/large/2l.jpg");
	img_pack3Large[2] = ImageAdd("Images/level select/pack3/large/3l.jpg");
	img_pack3Large[3] = ImageAdd("Images/level select/pack3/large/4l.jpg");
	img_pack3Large[4] = ImageAdd("Images/level select/pack3/large/5l.jpg");
	img_pack3Large[5] = ImageAdd("Images/level select/pack3/large/6l.jpg");
	img_pack3Large[6] = ImageAdd("Images/level select/pack3/large/7l.jpg");
	img_pack3Large[7] = ImageAdd("Images/level select/pack3/large/8l.jpg");
	img_pack3Large[8] = ImageAdd("Images/level select/pack3/large/9l.jpg");
	img_pack3Large[9] = ImageAdd("Images/level select/pack3/large/10l.jpg");
	img_pack3Large[10] = ImageAdd("Images/level select/pack3/large/11l.jpg");
	img_pack3Large[11] = ImageAdd("Images/level select/pack3/large/12l.jpg");
	img_pack3Large[12] = ImageAdd("Images/level select/pack3/large/13l.jpg");
	img_pack3Large[13] = ImageAdd("Images/level select/pack3/large/14l.jpg");
	img_pack3Large[14] = ImageAdd("Images/level select/pack3/large/15l.jpg");
	img_pack3Large[15] = ImageAdd("Images/level select/pack3/large/16l.jpg");
	img_pack3Large[16] = ImageAdd("Images/level select/pack3/large/17l.jpg");
	img_pack3Large[17] = ImageAdd("Images/level select/pack3/large/18l.jpg");
	img_pack3Large[18] = ImageAdd("Images/level select/pack3/large/19l.jpg");
	img_pack3Large[19] = ImageAdd("Images/level select/pack3/large/20l.jpg");

	img_pack3Largeb[0] = ImageAdd("Images/level select/pack3/largeb/1lb.jpg");
	img_pack3Largeb[1] = ImageAdd("Images/level select/pack3/largeb/2lb.jpg");
	img_pack3Largeb[2] = ImageAdd("Images/level select/pack3/largeb/3lb.jpg");
	img_pack3Largeb[3] = ImageAdd("Images/level select/pack3/largeb/4lb.jpg");
	img_pack3Largeb[4] = ImageAdd("Images/level select/pack3/largeb/5lb.jpg");
	img_pack3Largeb[5] = ImageAdd("Images/level select/pack3/largeb/6lb.jpg");
	img_pack3Largeb[6] = ImageAdd("Images/level select/pack3/largeb/7lb.jpg");
	img_pack3Largeb[7] = ImageAdd("Images/level select/pack3/largeb/8lb.jpg");
	img_pack3Largeb[8] = ImageAdd("Images/level select/pack3/largeb/9lb.jpg");
	img_pack3Largeb[9] = ImageAdd("Images/level select/pack3/largeb/10lb.jpg");
	img_pack3Largeb[10] = ImageAdd("Images/level select/pack3/largeb/11lb.jpg");
	img_pack3Largeb[11] = ImageAdd("Images/level select/pack3/largeb/12lb.jpg");
	img_pack3Largeb[12] = ImageAdd("Images/level select/pack3/largeb/13lb.jpg");
	img_pack3Largeb[13] = ImageAdd("Images/level select/pack3/largeb/14lb.jpg");
	img_pack3Largeb[14] = ImageAdd("Images/level select/pack3/largeb/15lb.jpg");
	img_pack3Largeb[15] = ImageAdd("Images/level select/pack3/largeb/16lb.jpg");
	img_pack3Largeb[16] = ImageAdd("Images/level select/pack3/largeb/17lb.jpg");
	img_pack3Largeb[17] = ImageAdd("Images/level select/pack3/largeb/18lb.jpg");
	img_pack3Largeb[18] = ImageAdd("Images/level select/pack3/largeb/19lb.jpg");
	img_pack3Largeb[19] = ImageAdd("Images/level select/pack3/largeb/20lb.jpg");


	
	//**********************************************************************Level pack 4
	img_pack4Small[0] = ImageAdd("Images/level select/pack4/small/1s.jpg");
	img_pack4Small[1] = ImageAdd("Images/level select/pack4/small/2s.jpg");
	img_pack4Small[2] = ImageAdd("Images/level select/pack4/small/3s.jpg");
	img_pack4Small[3] = ImageAdd("Images/level select/pack4/small/4s.jpg");
	img_pack4Small[4] = ImageAdd("Images/level select/pack4/small/5s.jpg");
	img_pack4Small[5] = ImageAdd("Images/level select/pack4/small/6s.jpg");
	img_pack4Small[6] = ImageAdd("Images/level select/pack4/small/7s.jpg");
	img_pack4Small[7] = ImageAdd("Images/level select/pack4/small/8s.jpg");
	img_pack4Small[8] = ImageAdd("Images/level select/pack4/small/9s.jpg");
	img_pack4Small[9] = ImageAdd("Images/level select/pack4/small/10s.jpg");
	img_pack4Small[10] = ImageAdd("Images/level select/pack4/small/11s.jpg");
	img_pack4Small[11] = ImageAdd("Images/level select/pack4/small/12s.jpg");
	img_pack4Small[12] = ImageAdd("Images/level select/pack4/small/13s.jpg");
	img_pack4Small[13] = ImageAdd("Images/level select/pack4/small/14s.jpg");
	img_pack4Small[14] = ImageAdd("Images/level select/pack4/small/15s.jpg");
	img_pack4Small[15] = ImageAdd("Images/level select/pack4/small/16s.jpg");
	img_pack4Small[16] = ImageAdd("Images/level select/pack4/small/17s.jpg");
	img_pack4Small[17] = ImageAdd("Images/level select/pack4/small/18s.jpg");
	img_pack4Small[18] = ImageAdd("Images/level select/pack4/small/19s.jpg");
	img_pack4Small[19] = ImageAdd("Images/level select/pack4/small/20s.jpg");

	img_pack4Med[0] = ImageAdd("Images/level select/pack4/medium/1m.jpg");
	img_pack4Med[1] = ImageAdd("Images/level select/pack4/medium/2m.jpg");
	img_pack4Med[2] = ImageAdd("Images/level select/pack4/medium/3m.jpg");
	img_pack4Med[3] = ImageAdd("Images/level select/pack4/medium/4m.jpg");
	img_pack4Med[4] = ImageAdd("Images/level select/pack4/medium/5m.jpg");
	img_pack4Med[5] = ImageAdd("Images/level select/pack4/medium/6m.jpg");
	img_pack4Med[6] = ImageAdd("Images/level select/pack4/medium/7m.jpg");
	img_pack4Med[7] = ImageAdd("Images/level select/pack4/medium/8m.jpg");
	img_pack4Med[8] = ImageAdd("Images/level select/pack4/medium/9m.jpg");
	img_pack4Med[9] = ImageAdd("Images/level select/pack4/medium/10m.jpg");
	img_pack4Med[10] = ImageAdd("Images/level select/pack4/medium/11m.jpg");
	img_pack4Med[11] = ImageAdd("Images/level select/pack4/medium/12m.jpg");
	img_pack4Med[12] = ImageAdd("Images/level select/pack4/medium/13m.jpg");
	img_pack4Med[13] = ImageAdd("Images/level select/pack4/medium/14m.jpg");
	img_pack4Med[14] = ImageAdd("Images/level select/pack4/medium/15m.jpg");
	img_pack4Med[15] = ImageAdd("Images/level select/pack4/medium/16m.jpg");
	img_pack4Med[16] = ImageAdd("Images/level select/pack4/medium/17m.jpg");
	img_pack4Med[17] = ImageAdd("Images/level select/pack4/medium/18m.jpg");
	img_pack4Med[18] = ImageAdd("Images/level select/pack4/medium/19m.jpg");
	img_pack4Med[19] = ImageAdd("Images/level select/pack4/medium/20m.jpg");


	img_pack4Large[0] = ImageAdd("Images/level select/pack4/large/1l.jpg");
	img_pack4Large[1] = ImageAdd("Images/level select/pack4/large/2l.jpg");
	img_pack4Large[2] = ImageAdd("Images/level select/pack4/large/3l.jpg");
	img_pack4Large[3] = ImageAdd("Images/level select/pack4/large/4l.jpg");
	img_pack4Large[4] = ImageAdd("Images/level select/pack4/large/5l.jpg");
	img_pack4Large[5] = ImageAdd("Images/level select/pack4/large/6l.jpg");
	img_pack4Large[6] = ImageAdd("Images/level select/pack4/large/7l.jpg");
	img_pack4Large[7] = ImageAdd("Images/level select/pack4/large/8l.jpg");
	img_pack4Large[8] = ImageAdd("Images/level select/pack4/large/9l.jpg");
	img_pack4Large[9] = ImageAdd("Images/level select/pack4/large/10l.jpg");
	img_pack4Large[10] = ImageAdd("Images/level select/pack4/large/11l.jpg");
	img_pack4Large[11] = ImageAdd("Images/level select/pack4/large/12l.jpg");
	img_pack4Large[12] = ImageAdd("Images/level select/pack4/large/13l.jpg");
	img_pack4Large[13] = ImageAdd("Images/level select/pack4/large/14l.jpg");
	img_pack4Large[14] = ImageAdd("Images/level select/pack4/large/15l.jpg");
	img_pack4Large[15] = ImageAdd("Images/level select/pack4/large/16l.jpg");
	img_pack4Large[16] = ImageAdd("Images/level select/pack4/large/17l.jpg");
	img_pack4Large[17] = ImageAdd("Images/level select/pack4/large/18l.jpg");
	img_pack4Large[18] = ImageAdd("Images/level select/pack4/large/19l.jpg");
	img_pack4Large[19] = ImageAdd("Images/level select/pack4/large/20l.jpg");

	img_pack4Largeb[0] = ImageAdd("Images/level select/pack4/largeb/1lb.jpg");
	img_pack4Largeb[1] = ImageAdd("Images/level select/pack4/largeb/2lb.jpg");
	img_pack4Largeb[2] = ImageAdd("Images/level select/pack4/largeb/3lb.jpg");
	img_pack4Largeb[3] = ImageAdd("Images/level select/pack4/largeb/4lb.jpg");
	img_pack4Largeb[4] = ImageAdd("Images/level select/pack4/largeb/5lb.jpg");
	img_pack4Largeb[5] = ImageAdd("Images/level select/pack4/largeb/6lb.jpg");
	img_pack4Largeb[6] = ImageAdd("Images/level select/pack4/largeb/7lb.jpg");
	img_pack4Largeb[7] = ImageAdd("Images/level select/pack4/largeb/8lb.jpg");
	img_pack4Largeb[8] = ImageAdd("Images/level select/pack4/largeb/9lb.jpg");
	img_pack4Largeb[9] = ImageAdd("Images/level select/pack4/largeb/10lb.jpg");
	img_pack4Largeb[10] = ImageAdd("Images/level select/pack4/largeb/11lb.jpg");
	img_pack4Largeb[11] = ImageAdd("Images/level select/pack4/largeb/12lb.jpg");
	img_pack4Largeb[12] = ImageAdd("Images/level select/pack4/largeb/13lb.jpg");
	img_pack4Largeb[13] = ImageAdd("Images/level select/pack4/largeb/14lb.jpg");
	img_pack4Largeb[14] = ImageAdd("Images/level select/pack4/largeb/15lb.jpg");
	img_pack4Largeb[15] = ImageAdd("Images/level select/pack4/largeb/16lb.jpg");
	img_pack4Largeb[16] = ImageAdd("Images/level select/pack4/largeb/17lb.jpg");
	img_pack4Largeb[17] = ImageAdd("Images/level select/pack4/largeb/18lb.jpg");
	img_pack4Largeb[18] = ImageAdd("Images/level select/pack4/largeb/19lb.jpg");
	img_pack4Largeb[19] = ImageAdd("Images/level select/pack4/largeb/20lb.jpg");


	//**********************************************************************Level pack 5
	img_pack5Small[0] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[1] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[2] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[3] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[4] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[5] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[6] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[7] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[8] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[9] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[10] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[11] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[12] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[13] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[14] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[15] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[16] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[17] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[18] = ImageAdd("Images/level select/pack5/small/1s.jpg");
	img_pack5Small[19] = ImageAdd("Images/level select/pack5/small/1s.jpg");

	img_pack5Med[0] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[1] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[2] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[3] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[4] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[5] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[6] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[7] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[8] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[9] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[10] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[11] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[12] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[13] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[14] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[15] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[16] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[17] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[18] = ImageAdd("Images/level select/pack5/medium/1m.jpg");
	img_pack5Med[19] = ImageAdd("Images/level select/pack5/medium/1m.jpg");


	img_GameExitA = ImageAdd("Images/exitA.png");
	img_GameExitB = ImageAdd("Images/exitB.png");
}

void gui::addViews()
{
	view_Background = ViewAdd(img_MenuScreen,0,0);// Menu Background
	

	view_bar[0] = ViewAdd(img_levelSelectBar[0],0,48);// level pack select bar
	view_bar[1] = ViewAdd(img_levelSelectBar[1],0,48+47);// level pack select bar
	view_bar[2] = ViewAdd(img_levelSelectBar[2],0,48+47+47);// level pack select bar
	view_bar[3] = ViewAdd(img_levelSelectBar[3],0,48+47+47+47);// level pack select bar
	view_bar[4] = ViewAdd(img_levelSelectBar[4],0,48+47+47+47+47);// level pack select bar
	view_barGlow = ViewAdd(img_levelSelectGlow,0,48);// level pack select bar glow

	view_smallPreview[0] = ViewAdd(img_pack1Small[0],0,53);// small previews
	view_smallPreview[1] = ViewAdd(img_pack1Small[1],0+55,53);
	view_smallPreview[2] = ViewAdd(img_pack1Small[2],0+55+55,53);
	view_smallPreview[3] = ViewAdd(img_pack1Small[3],0+55+55+55,53);
	view_smallPreview[4] = ViewAdd(img_pack1Small[4],0+55+55+55+55,53);
	view_smallPreview[5] = ViewAdd(img_pack1Small[5],0,53+64);
	view_smallPreview[6] = ViewAdd(img_pack1Small[6],0+55,53+64);
	view_smallPreview[7] = ViewAdd(img_pack1Small[7],0+55+55,53+64);
	view_smallPreview[8] = ViewAdd(img_pack1Small[8],0+55+55+55,53+64);
	view_smallPreview[9] = ViewAdd(img_pack1Small[9],0+55+55+55+55,53+64);
	view_smallPreview[10] = ViewAdd(img_pack1Small[10],0,53+64+64);
	view_smallPreview[11] = ViewAdd(img_pack1Small[11],0+55,53+64+64);
	view_smallPreview[12] = ViewAdd(img_pack1Small[12],0+55+55,53+64+64);
	view_smallPreview[13] = ViewAdd(img_pack1Small[13],0+55+55+55,53+64+64);
	view_smallPreview[14] = ViewAdd(img_pack1Small[14],0+55+55+55+55,53+64+64);
	view_smallPreview[15] = ViewAdd(img_pack1Small[15],0,53+64+64+64);
	view_smallPreview[16] = ViewAdd(img_pack1Small[16],0+55,53+64+64+64);
	view_smallPreview[17] = ViewAdd(img_pack1Small[17],0+55+55,53+64+64+64);
	view_smallPreview[18] = ViewAdd(img_pack1Small[18],0+55+55+55,53+64+64+64);
	view_smallPreview[19] = ViewAdd(img_pack1Small[19],0+55+55+55+55,53+64+64+64);

	view_smallTick[0] = ViewAdd(img_smallPreviewTick,30,53-10);// small previews
	view_smallTick[1] = ViewAdd(img_smallPreviewTick,30+55,53-10);
	view_smallTick[2] = ViewAdd(img_smallPreviewTick,30+55+55,53-10);
	view_smallTick[3] = ViewAdd(img_smallPreviewTick,30+55+55+55,53-10);
	view_smallTick[4] = ViewAdd(img_smallPreviewTick,30+55+55+55+55,53-10);
	view_smallTick[5] = ViewAdd(img_smallPreviewTick,30,53+64-10);
	view_smallTick[6] = ViewAdd(img_smallPreviewTick,30+55,53+64-10);
	view_smallTick[7] = ViewAdd(img_smallPreviewTick,30+55+55,53+64-10);
	view_smallTick[8] = ViewAdd(img_smallPreviewTick,30+55+55+55,53+64-10);
	view_smallTick[9] = ViewAdd(img_smallPreviewTick,30+55+55+55+55,53+64-10);
	view_smallTick[10] = ViewAdd(img_smallPreviewTick,30,53+64+64-10);
	view_smallTick[11] = ViewAdd(img_smallPreviewTick,30+55,53+64+64-10);
	view_smallTick[12] = ViewAdd(img_smallPreviewTick,30+55+55,53+64+64-10);
	view_smallTick[13] = ViewAdd(img_smallPreviewTick,30+55+55+55,53+64+64-10);
	view_smallTick[14] = ViewAdd(img_smallPreviewTick,30+55+55+55+55,53+64+64-10);
	view_smallTick[15] = ViewAdd(img_smallPreviewTick,30,53+64+64+64-10);
	view_smallTick[16] = ViewAdd(img_smallPreviewTick,30+55,53+64+64+64-10);
	view_smallTick[17] = ViewAdd(img_smallPreviewTick,30+55+55,53+64+64+64-10);
	view_smallTick[18] = ViewAdd(img_smallPreviewTick,30+55+55+55,53+64+64+64-10);
	view_smallTick[19] = ViewAdd(img_smallPreviewTick,30+55+55+55+55,53+64+64+64-10);

	view_mediumPreview = ViewAdd(img_pack1Med[0],315,53);

	view_inGamePicture[0] = ViewAdd(img_pack1Med[0],0,0);
	view_inGamePicture[1] = ViewAdd(img_pack1Med[0],241,0);
	
	view_inGameGuiBar = ViewAdd(img_inGameGuiBar,0,0);
	view_pauseButton = ViewAdd(img_inGamePauseButton[0],0,0);
	view_tapGlow = ViewAdd(img_inGameTapGlow[6],0,0);
	view_inGameTick[0] = ViewAdd(img_inGameTick,0,0);
	view_inGameTick[1] = ViewAdd(img_inGameTick,0,0);
	view_inGameTick[2] = ViewAdd(img_inGameTick,0,0);
	view_inGameTick[3] = ViewAdd(img_inGameTick,0,0);
	view_inGameTick[4] = ViewAdd(img_inGameTick,0,0);
	view_inGameTick[5] = ViewAdd(img_inGameTick,0,0);
	
	view_inGameTickLeft[0] = ViewAdd(img_inGameTick,0,0);
	view_inGameTickLeft[1] = ViewAdd(img_inGameTick,0,0);
	view_inGameTickLeft[2] = ViewAdd(img_inGameTick,0,0);
	view_inGameTickLeft[3] = ViewAdd(img_inGameTick,0,0);
	view_inGameTickLeft[4] = ViewAdd(img_inGameTick,0,0);
	view_inGameTickLeft[5] = ViewAdd(img_inGameTick,0,0);

	view_findButton = ViewAdd(img_findButton[0],0,0);;
	view_findCount = ViewAdd(img_findCount[0],0,0);;

	view_inGameCross = ViewAdd(img_inGameCross,0,0);
	view_inGameCrossLeft = ViewAdd(img_inGameCross,0,0);
	view_inGameTickBoxes = ViewAdd(img_tickBoxes3[0],0,0);

	view_packTitle = ViewAdd(img_packTitle[0],0,0);

	view_endOverlay = ViewAdd(img_gameOverBack,0,0);
	view_Button1 = ViewAdd(img_MenuPlay[0],50,200);// Menu Button1
	view_Button2 = ViewAdd(img_MenuOptions[0],300,200);// Menu Button2
	view_smallHilight = ViewAdd(img_smallHilight,0,0);// small img highlight

	view_titleAnimated = ViewAdd(img_pauseAnim[0],0,0);// animated title, pause win lose etc
	//view_GameButtonExit=ViewAdd(img_GameExitA,457,3);// Game Exit Button

	//AdBannerInit(0);
}
void gui::hideAllViews()
{
	for(int i = 0; i<100; i++)
		 ViewSetVisible(i,0);

	for(int i = 0; i<4; i++)//1
		ViewSetVisible(view_bar[i],0);
	for(int i = 0; i<6; i++)
		ViewSetVisible(view_inGameTick[i],0);

	for(int i = 0; i<20; i++)
		ViewSetVisible(view_smallPreview[i],0);


}
gui stdGui;