// Font Handling
	int myFont;
	int fontType;
	int textID[50];// Text ID handles 1-50
	void add(int id, int x, int y, char *text, int font);
	void setText(int ID, char *text);
	void setVisible(int ID, int flag);// 0-Invisible, 1-Visible
	void setFont(char *font,char *style,int points,int color);// Font type, style, colour
	void setFont(char *foldername);// Load custom Font
	int getFont();// Return Font type
	void setColor(int ID, int color);
	void setXY(int ID, int x, int y);//get & set text X&Y pos
	int getX(int ID);
	int getY(int ID);


//***************************************************************************************************************************
//**************************************************** TEXT CLASS ***********************************************************
//***************************************************************************************************************************

void addText()
{  // myFont = FontAdd("Font/Charlemagne8RegularWhite");
	//RandomSetSeed(time(0));
	setFont("Verdana","Regular",18,0xFFFF00);
	add(1,62,52,"font view 1",getFont());
	add(2,162,22,"image test",getFont());
	add(3,162,122,"X",getFont());
	add(4,162,152,"Y",getFont());
	add(5,228,5,"Timer",getFont());
	add(6,100,25,"seconds",getFont());
}
void hideAllText()
{
	for(int i = 0; i<41; i++)
		 TextSetVisible(i,0);
}
void setText(int ID, char *text)
{
	TextSetText(textID[ID], text);
}
void setVisible(int ID, int flag)
{
	TextSetVisible(textID[ID], flag);
}
void setXY(int ID, int x, int y)
{
	TextSetxy(textID[ID], x, y);
}
int getX(int ID)
{
	return TextGetx(textID[ID]);
}
int getY(int ID)
{
	return TextGety(textID[ID]);
}
void add(int id, int x, int y, char *text, int font)
{
	textID[id] = TextAdd(x,y,text,font);// Chosen id becomes text handle
}
void setFont(char *font,char *style,int points,int color)
{
	fontType = FontAdd(font,style,points,color);
}
void setFont(char *foldername)
{
	fontType = FontAdd(foldername);
}
int getFont()
{
	return fontType;
}
void setColor(int ID, int color)
{
	TextSetColor(textID[ID], color);
}